Subject: Re: bug#14292: 24.3.50; `FIND: Parameter format not correct'

From: Eli Zaretskii <[email-masked]>
Date: Sat, 27 Apr 2013 20:57:26 +0300

> From: "Drew Adams" <[email-masked]>
> Date: Sat, 27 Apr 2013 10:26:16 -0700
> 
> 1. emacs -Q
>  
> 2. Load library cygwin-mount.el then library setup-cygwin.el, from here:
> http://www.emacswiki.org/emacs/?action=elisp-area;context=0
>  
> In a directory with some files having names matching aaa*:
>  
> M-x find-name-dired
>  
> Accept the default directory (current).
> Enter aaa* for the file-name pattern.
>  
> I get the error of the Subject line.
>  
> Same thing if I just enter commands like this in an Emacs `shell' buffer:
>  
> > find . \( -iname aaa\* \) -exec ls -ld \{\} \;
> FIND: Parameter format not correct
> > find . \( -iname aaa\* \) -ls
> FIND: Parameter format not correct
>  
> What am I missing?  If I type exactly the same command in a Cywin
> terminal (outside Emacs), it works fine.  My $SHELL is /bin/bash in both
> cases (inside and outside Emacs).  Dunno whether there is an Emacs bug
> here.  Help appreciated.

You are getting find.exe from the Windows's system32 directory, which
is an incompatible program.  Rearrange your PATH so that find.exe you
want is found first.